Package org.apache.maven.scm.command.update

## Class UpdateScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.update.UpdateScmResult

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `LocalUpdateScmResult`, `UpdateScmResultWithRevision`

    public class UpdateScmResult
    extends ScmResult

Author:
  Trygve Laugstøl
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
`UpdateScmResult​(java.lang.String commandLine, java.lang.String providerMessage, java.lang.String commandOutput, boolean success)`
`UpdateScmResult​(java.lang.String commandLine, java.util.List<ScmFile> updatedFiles)`
`UpdateScmResult​(java.util.List<ScmFile> updatedFiles, java.util.List<ChangeSet> changes, ScmResult result)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<ChangeSet>` `getChanges()`
`java.util.List<ScmFile>` `getUpdatedFiles()`
`void` `setChanges​(java.util.List<ChangeSet> changes)`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UpdateScmResult

    public UpdateScmResult​(java.lang.String commandLine,
                           java.lang.String providerMessage,
                           java.lang.String commandOutput,
                           boolean success)

#### UpdateScmResult

    public UpdateScmResult​(java.lang.String commandLine,
                           java.util.List<ScmFile> updatedFiles)

#### UpdateScmResult

    public UpdateScmResult​(java.util.List<ScmFile> updatedFiles,
                           java.util.List<ChangeSet> changes,
                           ScmResult result)

### Method Detail

#### getUpdatedFiles

    public java.util.List<ScmFile> getUpdatedFiles()

Returns:
  List of `ScmFile`

#### getChanges

    public java.util.List<ChangeSet> getChanges()

Returns:
  `List` of `ChangeSet`

#### setChanges

    public void setChanges​(java.util.List<ChangeSet> changes)